label.require:after {
   content: " *";
   font-size: 1em;
   color: #FF204E;
}

.error-message {
   margin-top: 5px;
   color: #FF204E;
}

.media-image {
   width: 100%;
   height: 136.59px;
   object-fit: cover;
   cursor: pointer;
}

.form-control-lg {
   min-height: calc(1.5em + 1.4rem + calc(var(--vz-border-width) * 5));
   font-size: 0.8rem;
}

.btn-lg {
   font-size: 13.2px;
}

.w25 {
   width: 25px;
}

.w50 {
   width: 50px;
}

.w65 {
   width: 65px;
}

.w100 {
   width: 100px;
}

th:not([data-orderable="true"])::after,
th:not([data-orderable="true"])::before {
   display: none !important;
}

div.dataTables_wrapper div.dataTables_paginate ul.pagination {
   justify-content: left !important;
   margin-top: 20px;
}

.media-file-link {
   position: relative;
   overflow: hidden;
   border: 1px solid #ddd;
   /* Varsayılan border */
   padding: 3px;
   text-align: center;
   height: 136.59px;
}

.media-file-name {
   font-size: 14px;
   white-space: nowrap;
   overflow: hidden;
   text-overflow: ellipsis;
   max-width: 100%;
   margin-top: 8px;
}

.overlay {
   position: absolute;
   bottom: 0;
   left: 0;
   width: 100%;
   height: 50%;
   /* Kutu yüksekliğinin yarısı */
   background: rgba(0, 0, 0, 0.5);
   /* Siyah, yarım şeffaf */
   display: flex;
   align-items: center;
   justify-content: center;
   opacity: 1;
   /* Her zaman görünür */
   padding-top: 15px;
}

.overlay-text {
   color: white;
   font-size: 12px;
   /* Yazı boyutunu ayarlayın */
   text-align: center;
   padding: 5px;
   word-wrap: break-word;
   max-width: 90%;
   overflow: hidden;
   text-overflow: ellipsis;
}

#priceError {
   color: #FF204E;
   margin-top: 10px;
}

.img_url {
   width: 90px;
   height: 90px;
   object-fit: cover;
}

.img_urls {
   width: 90px;
   height: 90px;
   object-fit: cover;
}

.selectedImagesPreview img {
   max-width: 100px;
   margin-right: 10px;
}

.selectedImagesPreview .btn-danger {
   font-size: 12px;
   padding: 2px 6px;
}

.product .product-img {
   height: 280px;
   object-fit: cover;
}

.product h5 {
   font-size: 1em;
}

.label-top {
   position: absolute;
   top: 8px;
   right: 8px;
}

.input-group-qnt {
   width: 150px;
   background: #0f0f0f0a;
}

.input-group-qnt input {
   background: #0f0f0f0a;
   border: none;
}

.input-group-qnt input:hover {
   background: #0f0f0f0a;
   border: none;
}

.input-group-qnt input:focus {
   background: #0f0f0f0a;
   border: none;
}

.product-detail-img {
   width: 100%;
   height: 400px;
   object-fit: cover;
   border-radius: 5px;
}

.product-detail-img-gallery {
   width: 100%;
   height: 105px;
   object-fit: cover;
   border-radius: 5px;
}

.card-product-img {
   width: 100%;
   height: 96px;
   object-fit: cover;
   border-radius: 5px;
}

.checkout-product-img {
   width: 100%;
   height: 64px;
   object-fit: cover;
   border-radius: 5px;
}

.order-detail-img {
   width: 100%;
   height: 72px;
   object-fit: cover;
   border-radius: 5px;
}

.fixed-bottom-alert {
   position: fixed;
   bottom: 0;
   left: 0;
   right: 0;
   z-index: 1050;
   border-radius: 0;
   margin: 0;
   padding: 20px;
}

.page-detail-img {
   width: 100%;
   height: 250px;
   object-fit: cover;
}

.announcement-img {
   width: 100%;
   height: 48px;
   object-fit: cover;
   border-radius: 5px;
}

.terminal {
    background: #1f1f1f;
    padding: 10px;
}
.log-output {
    font-family: 'Consolas', 'Courier New', monospace;
    font-size: 14px;
    color: #fff;
    white-space: pre;
    margin: 0;
}
.log-date {
    color: #eee;
}
.log-start {
    color: #d7ba7d;
}
.log-end {
    color: #7eccf8;
}
.log-error {
    color: #f00;
}

@media only screen and (max-width: 600px) {
   .media-image {
      width: 100%;
      height: 100px;
      object-fit: cover;
   }

   .media-file-link {
      position: relative;
      overflow: hidden;
      border: 1px solid #ddd;
      /* Varsayılan border */
      padding: 3px;
      text-align: center;
      height: 100.59px;
   }

   .overlay-text {
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
   }

   .overlay {
      height: 40%;
      padding-top: 15px;
   }

   .product .product-img {
      height: 150px;
      object-fit: cover;
   }

   .product-detail-img {
      width: 100%;
      height: 300px;
      object-fit: cover;
      border-radius: 5px;
   }

   .product-detail-img-gallery {
      width: 100%;
      height: 62px;
      object-fit: cover;
      border-radius: 5px;
   }


}